| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmaskmod.cpp File Reference

Generating a model from a mask. More...

`#include "rwimg.h"`
`#include "rwmodel.h"`
`#include "model_mask.h"`
`#include "model_links.h"`
`#include "model_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Generating a model from a mask.

Author
  Bernard Heymann

Date
  Created: 20100505
  Modified: 20100505

Definition in file bmaskmod.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 46 of file bmaskmod.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bmaskmod [options] mask.tif",
"----------------------------------",
"Generates a model from a mask.",
" ",
"Parameters:",
"-verbose 7 Verbose output.",
"-componentradius 8.4 Set display radius for all components.",
"-linkradius 5.1 Set display radius for all links.",
" ",
"Output:",
"-output file.star Output model file.",
" ",
NULL
}

Definition at line 22 of file bmaskmod.cpp.

## ◆ verbose

int verbose